# Add-RASPubAppFileExt.md

## NAME

Add-RASPubAppFileExt

## SYNOPSIS

Adds a file extension for the specified published application.

## SYNTAX

**Add-RASPubAppFileExt** \[[Id](#id-string)] *(uint)* -[Extension](#extension-string) *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASPubAppFileExt \[-[InputObject](#inputobject)] *(*[*PubItem*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)*)* -[Extension](#extension-string) *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

This cmdlet only allows you to add a file extension.

To modify other file extensions, use the Set-RASPubAppFileExt cmdlet.

## PARAMETERS

## Extension (string)

The file extension that will be added/modified.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Published resource ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md))

An object specifying the published resource.

To obtain the object, use the Get-PubItem cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASPubAppFileExt -Id 3 -Extension "txt"

Adds the specified file extension for the resource specified by ID.

## RELATED LINKS

* [Get-RASPubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitem.md)
* [Get-RASPubAppFileExt](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubappfileext.md)
* [Set-RASPubAppFileExt](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubappfileext.md)
* [Remove-RASPubAppFileExt](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubappfileext.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-raspubappfileext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
